%global pypi_name openai

Name:           python-%{pypi_name}
Version:        1.40.6
Release:        %mkrel 1
Summary:        The official Python library for the openai API
Group:          Development/Python
License:        ASL
URL:            https://github.com/openai/openai-python
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(anyio)
BuildRequires:  python3dist(httpx)
BuildRequires:  python3dist(hatch-fancy-pypi-readme)
BuildRequires:  python3dist(jiter)

%description
The OpenAI Python library provides convenient access to the OpenAI REST API
from any Python 3.7+ application. The library includes type definitions for
all request params and response fields, and offers both synchronous and
asynchronous clients powered by httpx.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
Provides:       %{pypi_name} = %{version}-%{release}
Provides:       sgpt = %{version}-%{release}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The OpenAI Python library provides convenient access to the OpenAI REST API                                                 
from any Python 3.7+ application. The library includes type definitions for                                                 
all request params and response fields, and offers both synchronous and                                                     
asynchronous clients powered by httpx.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
 
%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%{_bindir}/openai


%changelog
* Tue Aug 13 2024 kekepower <kekepower> 1.40.6-1.mga10
+ Revision: 2086510
- Update to version 1.40.6

* Thu Aug 08 2024 kekepower <kekepower> 1.40.1-1.mga10
+ Revision: 2084310
- Update to version 1.40.1
- Update to version 1.40.0

* Tue Aug 06 2024 kekepower <kekepower> 1.39.0-1.mga10
+ Revision: 2083815
- Update to version 1.39.0

* Sat Aug 03 2024 kekepower <kekepower> 1.38.0-1.mga10
+ Revision: 2083471
- Update to version 1.38.0
- Update to version 1.37.2

* Fri Jul 26 2024 kekepower <kekepower> 1.37.1-1.mga10
+ Revision: 2082624
- Update to version 1.37.1

* Tue Jul 23 2024 kekepower <kekepower> 1.37.0-1.mga10
+ Revision: 2082294
- Update to version 1.37.0

* Fri Jul 19 2024 kekepower <kekepower> 1.36.0-1.mga10
+ Revision: 2082097
- Update to version 1.36.0

* Fri Jul 19 2024 kekepower <kekepower> 1.35.15-1.mga10
+ Revision: 2082078
- Update to version 1.35.15

* Thu Jul 11 2024 kekepower <kekepower> 1.35.13-1.mga10
+ Revision: 2080651
- Update to version 1.35.13

* Tue Jul 09 2024 kekepower <kekepower> 1.35.12-1.mga10
+ Revision: 2080472
- Update to version 1.35.12

* Thu Jul 04 2024 kekepower <kekepower> 1.35.10-1.mga10
+ Revision: 2079602
- Update to version 1.35.10

* Wed Jul 03 2024 kekepower <kekepower> 1.35.9-1.mga10
+ Revision: 2079221
- Update to version 1.35.9

* Fri Jun 28 2024 kekepower <kekepower> 1.35.7-1.mga10
+ Revision: 2077929
- Update to version 1.35.7

* Thu Jun 27 2024 kekepower <kekepower> 1.35.6-1.mga10
+ Revision: 2077339
- Update to version 1.35.6

* Wed Jun 26 2024 kekepower <kekepower> 1.35.5-1.mga10
+ Revision: 2077181
- Update to version 1.35.5

* Fri Jun 21 2024 kekepower <kekepower> 1.35.3-1.mga10
+ Revision: 2075991
- Update to version 1.35.3

* Wed Jun 12 2024 kekepower <kekepower> 1.34.0-1.mga10
+ Revision: 2072913
- Update to version 1.34.0

* Sat Jun 08 2024 kekepower <kekepower> 1.33.0-1.mga10
+ Revision: 2071149
- Update to version 1.33.0

* Fri Jun 07 2024 kekepower <kekepower> 1.32.0-1.mga10
+ Revision: 2070494
- Update to version 1.32.0

* Thu Jun 06 2024 kekepower <kekepower> 1.31.2-1.mga10
+ Revision: 2070335
- Update to version 1.31.2

* Thu Jun 06 2024 kekepower <kekepower> 1.31.1-1.mga10
+ Revision: 2070251
- Update to version 1.31.1

* Tue Jun 04 2024 kekepower <kekepower> 1.31.0-1.mga10
+ Revision: 2069671
- Update to version 1.31.0

* Thu May 30 2024 kekepower <kekepower> 1.30.5-1.mga10
+ Revision: 2068687
- Update to version 1.30.5

* Wed May 29 2024 kekepower <kekepower> 1.30.4-1.mga10
+ Revision: 2068619
- Update to version 1.30.4

* Sat May 25 2024 kekepower <kekepower> 1.30.3-1.mga10
+ Revision: 2067493
- Update to version 1.30.3

* Fri May 24 2024 kekepower <kekepower> 1.30.2-1.mga10
+ Revision: 2066900
- Update to version 1.30.2

* Thu May 16 2024 kekepower <kekepower> 1.30.1-1.mga10
+ Revision: 2064471
- Update to version 1.30.1

* Tue May 14 2024 kekepower <kekepower> 1.29.0-1.mga10
+ Revision: 2064108
- Update to version 1.29.0

* Mon May 13 2024 kekepower <kekepower> 1.28.2-1.mga10
+ Revision: 2064018
- Update to version 1.28.2

* Sun May 12 2024 kekepower <kekepower> 1.28.1-1.mga10
+ Revision: 2063879
- Update to version 1.28.1

* Sat May 11 2024 kekepower <kekepower> 1.28.0-1.mga10
+ Revision: 2063485
- Update to version 1.28.0

* Thu May 09 2024 kekepower <kekepower> 1.27.0-1.mga10
+ Revision: 2063268
- Update to version 1.27.0

* Mon May 06 2024 kekepower <kekepower> 1.25.2-1.mga10
+ Revision: 2062591
- Update to version 1.25.2

* Sat May 04 2024 kekepower <kekepower> 1.25.1-1.mga10
+ Revision: 2062083
- Update to version 1.25.1

* Wed May 01 2024 kekepower <kekepower> 1.25.0-1.mga10
+ Revision: 2061789
- Update to version 1.25.0

* Tue Apr 30 2024 kekepower <kekepower> 1.24.0-1.mga10
+ Revision: 2061765
- Update to version 1.24.0

* Thu Apr 25 2024 kekepower <kekepower> 1.23.6-1.mga10
+ Revision: 2061044
- Update to version 1.23.6

* Sat Apr 20 2024 kekepower <kekepower> 1.23.2-1.mga10
+ Revision: 2059944
- Update to version 1.23.2

* Wed Apr 17 2024 kekepower <kekepower> 1.21.0-1.mga10
+ Revision: 2058407
- Update to version 1.21.0

* Tue Apr 16 2024 kekepower <kekepower> 1.20.0-1.mga10
+ Revision: 2058068
- Update to version 1.20.0

* Sun Apr 14 2024 kekepower <kekepower> 1.17.1-1.mga10
+ Revision: 2057085
- Update to version 1.17.1

* Wed Apr 10 2024 kekepower <kekepower> 1.17.0-1.mga10
+ Revision: 2056436
- Update to version 1.17.0

* Sun Apr 07 2024 kekepower <kekepower> 1.16.2-1.mga10
+ Revision: 2055326
- Update to version 1.16.2

* Wed Apr 03 2024 kekepower <kekepower> 1.16.1-1.mga10
+ Revision: 2054101
- Update to version 1.16.1

* Tue Apr 02 2024 kekepower <kekepower> 1.16.0-1.mga10
+ Revision: 2053987
- Update to version 1.16.0

* Sat Mar 23 2024 kekepower <kekepower> 1.14.2-1.mga10
+ Revision: 2051548
- Update to version 1.14.2

* Thu Feb 29 2024 kekepower <kekepower> 1.13.3-1.mga10
+ Revision: 2045664
- Update to version 1.13.3

* Thu Feb 22 2024 kekepower <kekepower> 1.12.0-1.mga10
+ Revision: 2043059
- imported package python-openai

